## org.eclipse.datatools.enablement.sybase.asa.catalog
Class SybaseASACatalogDatabase

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
                                      org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseDatabaseImpl
                                          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.impl.SybaseASADatabaseImpl
                                              org.eclipse.datatools.enablement.sybase.asa.catalog.SybaseASACatalogDatabase

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASABaseCatalog.ISybaseASABaseCatalogDatabase, SybaseASABaseDatabase, SybaseASADatabase, Database, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASACatalogDatabase

extends SybaseASADatabaseImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable, SybaseASABaseCatalog.ISybaseASABaseCatalogDatabase

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASACatalogDatabase()` This constructor is specially used for 'working set' functionality.
`SybaseASACatalogDatabase(java.sql.Connection connection)`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`org.eclipse.emf.common.util.EList` `getAuthorizationIds()` Returns the value of the 'Authorization Ids' reference list.
`Database` `getCatalogDatabase()`
`org.eclipse.emf.common.util.EList` `getCatalogs()` Returns the value of the 'Catalogs' reference list.
`java.lang.String` `getCollation()`
`java.sql.Connection` `getConnection()`
`java.lang.String` `getDatabaseFileName()`
`org.eclipse.emf.common.util.EList` `getDataTypes()`
`org.eclipse.emf.common.util.EList` `getDbSpaces()`
`EncryptionInfo` `getEncryptionInfo()`
`org.eclipse.emf.common.util.EList` `getEvents()` Returns the value of the 'Events' reference list.
`JavaSupportType` `getJavaSupport()`
`java.lang.String` `getLogFileName()`
`java.lang.String` `getMirrorFileName()`
`int` `getPageSize()`
`java.lang.Boolean` `getPasswordCaseSensitive()`
`org.eclipse.emf.common.util.EList` `getSchemas()` Returns the value of the 'Schemas' reference list.
`org.eclipse.emf.common.util.EList` `getWebServices()`
`boolean` `isASECompatible()`
`boolean` `isBlankPaddingOn()`
`boolean` `isCaseSensitive()`
`boolean` `isCheckSumOn()`
`boolean` `isJConnectOn()`
`void` `refresh()`
`void` `refreshEvent()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.impl.SybaseASADatabaseImpl
`eGet, eIsSet, eSet, eUnset, setASECompatible, toString`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseDatabaseImpl
`basicGetEncryptionInfo, eInverseAdd, eInverseRemove, getDatabaseSchemas, isBaseOnASA10, setBlankPaddingOn, setCaseSensitive, setCheckSumOn, setCollation, setDatabaseFileName, setEncryptionInfo, setJavaSupport, setJConnectOn, setLogFileName, setMirrorFileName, setPageSize, setPasswordCaseSensitive`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
`getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseASABaseDatabase
`getDatabaseSchemas, isBaseOnASA10, setBlankPaddingOn, setCaseSensitive, setCheckSumOn, setCollation, setDatabaseFileName, setEncryptionInfo, setJavaSupport, setJConnectOn, setLogFileName, setMirrorFileName, setPageSize, setPasswordCaseSensitive`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Database
`getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASACatalogDatabase

    public SybaseASACatalogDatabase(java.sql.Connection connection)

### SybaseASACatalogDatabase

    public SybaseASACatalogDatabase()

  This constructor is specially used for 'working set' functionality. DON'T USE IT.

Method Detail

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### refreshEvent

    public void refreshEvent()

  Specified by:
    `refreshEvent` in interface `SybaseASABaseCatalog.ISybaseASABaseCatalogDatabase`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getCatalogs

    public org.eclipse.emf.common.util.EList getCatalogs()

  Description copied from interface: `Database`
  Returns the value of the 'Catalogs' reference list. The list contents are of type `Catalog`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Catalogs' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getCatalogs` in interface `Database`
  Overrides:
    `getCatalogs` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`
  Returns:
    the value of the 'Catalogs' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Catalogs()`, `Catalog.getDatabase()`

### getWebServices

    public org.eclipse.emf.common.util.EList getWebServices()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getWebServices` in interface `SybaseASABaseDatabase`
  Overrides:
    `getWebServices` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Web Services' reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_WebServices()`, `SybaseASAWebService.getDatabase()`

### getSchemas

    public org.eclipse.emf.common.util.EList getSchemas()

  Description copied from interface: `Database`
  Returns the value of the 'Schemas' reference list. The list contents are of type `Schema`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Schemas' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getSchemas` in interface `Database`
  Overrides:
    `getSchemas` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`
  Returns:
    the value of the 'Schemas' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Schemas()`, `Schema.getDatabase()`

### getDataTypes

    public org.eclipse.emf.common.util.EList getDataTypes()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getDataTypes` in interface `SybaseASABaseDatabase`
  Overrides:
    `getDataTypes` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Data Types' reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_DataTypes()`, `SybaseASABasePredefinedDataType.getDatabase()`

### getEvents

    public org.eclipse.emf.common.util.EList getEvents()

  Description copied from interface: `Database`
  Returns the value of the 'Events' reference list. The list contents are of type `Event`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Events' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getEvents` in interface `Database`
  Overrides:
    `getEvents` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`
  Returns:
    the value of the 'Events' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Events()`, `Event.getDatabase()`

### getAuthorizationIds

    public org.eclipse.emf.common.util.EList getAuthorizationIds()

  Description copied from interface: `Database`
  Returns the value of the 'Authorization Ids' reference list. The list contents are of type `AuthorizationIdentifier`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Authorization Ids' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getAuthorizationIds` in interface `Database`
  Overrides:
    `getAuthorizationIds` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`
  Returns:
    the value of the 'Authorization Ids' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_AuthorizationIds()`, `AuthorizationIdentifier.getDatabase()`

### getDbSpaces

    public org.eclipse.emf.common.util.EList getDbSpaces()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getDbSpaces` in interface `SybaseASABaseDatabase`
  Overrides:
    `getDbSpaces` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Db Spaces' containment reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_DbSpaces()`, `SybaseASABaseDBSpace.getDatabase()`

### getLogFileName

    public java.lang.String getLogFileName()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getLogFileName` in interface `SybaseASABaseDatabase`
  Overrides:
    `getLogFileName` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Log File Name' attribute.
  See Also:
    `SybaseASABaseDatabase.setLogFileName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_LogFileName()`

### getDatabaseFileName

    public java.lang.String getDatabaseFileName()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getDatabaseFileName` in interface `SybaseASABaseDatabase`
  Overrides:
    `getDatabaseFileName` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Database File Name' attribute.
  See Also:
    `SybaseASABaseDatabase.setDatabaseFileName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_DatabaseFileName()`

### getMirrorFileName

    public java.lang.String getMirrorFileName()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getMirrorFileName` in interface `SybaseASABaseDatabase`
  Overrides:
    `getMirrorFileName` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Mirror File Name' attribute.
  See Also:
    `SybaseASABaseDatabase.setMirrorFileName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_MirrorFileName()`

### isCaseSensitive

    public boolean isCaseSensitive()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `isCaseSensitive` in interface `SybaseASABaseDatabase`
  Overrides:
    `isCaseSensitive` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Case Sensitive' attribute.
  See Also:
    `SybaseASABaseDatabase.setCaseSensitive(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_CaseSensitive()`

### getPageSize

    public int getPageSize()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getPageSize` in interface `SybaseASABaseDatabase`
  Overrides:
    `getPageSize` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Page Size' attribute.
  See Also:
    `SybaseASABaseDatabase.setPageSize(int)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_PageSize()`

### getCollation

    public java.lang.String getCollation()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getCollation` in interface `SybaseASABaseDatabase`
  Overrides:
    `getCollation` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Collation' attribute.
  See Also:
    `SybaseASABaseDatabase.setCollation(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_Collation()`

### isBlankPaddingOn

    public boolean isBlankPaddingOn()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `isBlankPaddingOn` in interface `SybaseASABaseDatabase`
  Overrides:
    `isBlankPaddingOn` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Blank Padding On' attribute.
  See Also:
    `SybaseASABaseDatabase.setBlankPaddingOn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_BlankPaddingOn()`

### isJConnectOn

    public boolean isJConnectOn()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `isJConnectOn` in interface `SybaseASABaseDatabase`
  Overrides:
    `isJConnectOn` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'JConnect On' attribute.
  See Also:
    `SybaseASABaseDatabase.setJConnectOn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_JConnectOn()`

### isCheckSumOn

    public boolean isCheckSumOn()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `isCheckSumOn` in interface `SybaseASABaseDatabase`
  Overrides:
    `isCheckSumOn` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Check Sum On' attribute.
  See Also:
    `SybaseASABaseDatabase.setCheckSumOn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_CheckSumOn()`

### getJavaSupport

    public JavaSupportType getJavaSupport()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getJavaSupport` in interface `SybaseASABaseDatabase`
  Overrides:
    `getJavaSupport` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Java Support' attribute.
  See Also:
    `JavaSupportType`, `SybaseASABaseDatabase.setJavaSupport(JavaSupportType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_JavaSupport()`

### getPasswordCaseSensitive

    public java.lang.Boolean getPasswordCaseSensitive()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getPasswordCaseSensitive` in interface `SybaseASABaseDatabase`
  Overrides:
    `getPasswordCaseSensitive` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Password Case Sensitive' attribute.
  See Also:
    `SybaseASABaseDatabase.setPasswordCaseSensitive(Boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_PasswordCaseSensitive()`

### getEncryptionInfo

    public EncryptionInfo getEncryptionInfo()

  Description copied from class: `SybaseASABaseDatabaseImpl`

  Specified by:
    `getEncryptionInfo` in interface `SybaseASABaseDatabase`
  Overrides:
    `getEncryptionInfo` in class `SybaseASABaseDatabaseImpl`
  Returns:
    the value of the 'Encryption Info' reference.
  See Also:
    `SybaseASABaseDatabase.setEncryptionInfo(EncryptionInfo)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_EncryptionInfo()`

### isASECompatible

    public boolean isASECompatible()

  Description copied from class: `SybaseASADatabaseImpl`

  Specified by:
    `isASECompatible` in interface `SybaseASADatabase`
  Overrides:
    `isASECompatible` in class `SybaseASADatabaseImpl`
  Returns:
    the value of the 'ASE Compatible' attribute.
  See Also:
    `SybaseASADatabase.setASECompatible(boolean)`, `SybaseasasqlmodelPackage.getSybaseASADatabase_ASECompatible()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`